HaruPage::lineTo
HaruPage::moveTextPos
HaruPage
PHP Manual

# HaruPage::measureText

(PECL haru >= 0.0.1)

HaruPage::measureText — Calculate the byte length of characters which can be included on one line of the specified width

### Description

int HaruPage::measureText ( string `$text` , float `$width` [, bool `$wordwrap` = false ] )

Get the byte length of characters which can be included on one line of the specified width.

### Parameters

`text`

  The text to measure.

`width`

  The width of the line.

`wordwrap`

  When this parameter is set to `TRUE` the function "emulates" word wrapping by stopping after the last full word (delimited by whitespace) that can fit on the line.

### Return Values

Returns the byte length of characters which can be included within the specified width. For single-byte encodings, this is equal to the number of characters. For multi-byte encodings, this is not necessarily the case.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruFont::measureText() - Calculate the number of characters which can be included within the specified width

HaruPage::lineTo
HaruPage::moveTextPos
HaruPage
PHP Manual